# remirepo spec file for php-Smarty2 from:
#
# Fedora spec file for php-Smarty2
#
# License: MIT
# http://opensource.org/licenses/MIT
#
# Please preserve changelog entries
#

%global github_owner   smarty-php
%global github_name    smarty
%global github_version 2.6.31
%global github_commit  4ab9757b492f08a38f68123a6e7c1df7110bbc49

%global composer_vendor  smarty
%global composer_project smarty

# "php": ">=5.2"
%global php_min_ver 5.2

%{!?phpdir:  %global phpdir  %{_datadir}/php}

Name:          php-Smarty2
Summary:       Smarty - the compiling PHP template engine
Version:       %{github_version}
Release:       2%{?dist}

Group:         Development/Libraries
License:       LGPLv3
URL:           http://www.smarty.net
Source0:       https://github.com/%{github_owner}/%{github_name}/archive/%{github_commit}/%{name}-%{github_version}-%{github_commit}.tar.gz

BuildArch:     noarch
# composer.json
BuildRequires: php(language) >= %{php_min_ver}
# Autoloader
BuildRequires: php-fedora-autoloader-devel

Requires:      php(language) >= %{php_min_ver}
# phpcompatinfo (computed from version 2.6.31)
Requires:      php-date
Requires:      php-pcre
Requires:      php-tokenizer

Provides:      php-%{github_name}2 = %{version}-%{release}
# php-{COMPOSER_VENDOR}-{COMPOSER_PROJECT}
Provides:      php-%{composer_vendor}-%{composer_project} = %{version}-%{release}
# Composer
Provides:      php-composer(%{composer_vendor}/%{composer_project}) = %{version}

%description
Smarty is a template engine for PHP, facilitating the separation of
presentation (HTML/CSS) from application logic. This implies that PHP
code is application logic, and is separated from the presentation.


%prep
%setup -qn %{github_name}-%{github_commit}


%build
: Create autoloader
phpab -t fedora -o libs/autoload.php libs


%install
mkdir -p %{buildroot}%{phpdir}
cp -rp libs %{buildroot}%{phpdir}/Smarty2


%check
: Check autoloader
php -r '
require "%{buildroot}%{phpdir}/Smarty2/autoload.php";
exit (class_exists("Smarty") ? 0 : 1);
'


%files
%{!?_licensedir:%global license %%doc}
%license COPYING.lib
%doc ChangeLog
%doc composer.json
%doc FAQ
%doc README.md
%{phpdir}/Smarty2


%changelog
* Sat Oct 27 2018 Shawn Iwinski <shawn@iwin.ski> - 2.6.31-2
- Add composer provides

* Sat Oct 27 2018 Shawn Iwinski <shawn@iwin.ski> - 2.6.31-1
- Update to 2.6.31
- Update license from LGPLv2+ to LGPLv3
- Full spec update
- Remove broken demo files
- Add autoloader
- Move license file from docs directory to shared licenses directory

* Mon Aug  8 2016 Remi Collet <remi@remirepo.net> - 2.6.30-1
- update to 2.6.30
- sources from github
- add autoloader
- add minimal check for autoloader and version
- fix license installation

* Sun Dec 22 2013 Remi Collet <RPMS@FamilleCollet.com> - 2.6.28-1
- update to 2.6.28

* Sat Sep 29 2012 Remi Collet <RPMS@FamilleCollet.com> - 2.6.27-1
- rename to php-Smarty2 and update to 2.6.27 for remi repo

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Oct 11 2009 Christopher Stone <chris.stone@gmail.com> 2.6.26-1
- Upstream sync
- Update %%source0 and %%URL

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 25 2009 Christopher Stone <chris.stone@gmail.com> 2.6.25-1
- Upstream sync

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 02 2008 Christopher Stone <chris.stone@gmail.com> 2.6.20-2
- Add security patch (bz #469648)
- Add RHL dist tag conditional for Requires

* Mon Oct 13 2008 Christopher Stone <chris.stone@gmail.com> 2.6.20-1
- Upstream sync

* Wed Feb 20 2008 Christopher Stone <chris.stone@gmail.com> 2.6.19-1
- Upstream sync
- Update %%license
- Fix file encoding

* Sun Apr 29 2007 Christopher Stone <chris.stone@gmail.com> 2.6.18-1
- Upstream sync

* Wed Feb 21 2007 Christopher Stone <chris.stone@gmail.com> 2.6.16-2
- Minor spec file changes/cleanups

* Fri Feb 09 2007 Orion Poplawski <orion@cora.nwra.com> 2.6.16-1
- Update to 2.6.16
- Install in /usr/share/php/Smarty
- Update php version requirement

* Tue May 16 2006 Orion Poplawski <orion@cora.nwra.com> 2.6.13-1
- Update to 2.6.13

* Tue Nov  1 2005 Orion Poplawski <orion@cora.nwra.com> 2.6.10-2
- Fix Source0 URL.

* Thu Oct 13 2005 Orion Poplawski <orion@cora.nwra.com> 2.6.10-1
- Initial Fedora Extras version
